<?php
namespace Claromentis\Menu;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_f88c0980467f304d271bba9" . "1bea8da3f" => base64_decode("bWVudV9idWlsZGV" . "yLnBhZ2U="), "_787716e85b3b1de5c1545674" . "7d65bab1" => base64_decode("bWVudV9idWl" . "sZGVyLmxpbm" . "s="), "_0c5123aa744f69bbc0e8b3" . "ea2f6e847d" => base64_decode("bG1z" . "Zw=="), "_7631abf8f234103" . "19b7115e54aa60c6" . "d" => base64_decode("bWVudV9idWlsZGVyLmZvbGRlcg=" . "="));






class NodeType
{
    const PAGE = 1;
    const LINK = 2;
    const FOLDER = 3;
    public static function GetDescription($type)
    {
        static $node_type_descr_localized;
        if (!isset($node_type_descr_localized)) {
            $node_type_descr_localized = array(self::PAGE => $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_0c5123aa744f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_f88c0980" . "467f304d2" . "71bba91be" . "a8da3f"]), self::LINK => $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_0c5123aa744f6" . "9bbc0e8b3ea2f6" . "e847d"]($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_787716e85b3b1de5c" . "15456747d65bab1"]), self::FOLDER => $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_0c5123aa744f69bbc0e8b3ea2f6e" . "847d"]($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_7631abf8f" . "23410319b7" . "115e54aa60" . "c6d"]));
        }
        if (isset($node_type_descr_localized[$type])) {
            return $node_type_descr_localized[$type];
        } else {
            return null;
        }
    }
    public static function GetByCode($code)
    {
        static $node_types = array("page" => self::PAGE, "link" => self::LINK, "folder" => self::FOLDER);
        if (isset($node_types[$code])) {
            return $node_types[$code];
        } else {
            return null;
        }
    }
    public static function GetCode($type)
    {
        static $codes = array(self::PAGE => "page", self::LINK => "link", self::FOLDER => "folder");
        if (isset($codes[$type])) {
            return $codes[$type];
        } else {
            return null;
        }
    }
}